%global momorel 2

Name:           perl-File-Remove
Version:        1.42
Release:        %{momorel}m%{?dist}
Summary:        Remove files and directories
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-Remove/
Source0:        http://www.cpan.org/modules/by-module/File/File-Remove-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
File::Remove::remove removes files and directories. It acts like /bin/rm,
for the most part. Although unlink can be given a list of files, it will
not remove directories; this module remedies that. It also accepts
wildcards, * and ?, as arguments for filenames.

%prep
%setup -q -n File-Remove-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/File/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.42-2m)
- rebuild against rpm-4.6

* Thu Jul 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.42-1m)
- update to 1.42

* Mon Jun  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.41-1m)
- update to 1.41

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.40-2m)
- rebuild against gcc43

* Sun Feb 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.40-1m)
- update to 1.40

* Thu Nov 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.39-1m)
- update to 0.39

* Mon Oct 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-1m)
- update to 0.38
- do not use %%NoSource macro

* Sun Jul  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.37-1m)
- update to 0.37

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.36-1m)
- update to 0.36

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.34-2m)
- use vendor

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.34-1m)
- update to 0.34

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.31-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
